Package org.gitana.platform.client.util

# Class DriverUtil

java.lang.Object
org.gitana.platform.client.util.DriverUtil

public class DriverUtil extends Object

Author:
  uzi

## Constructor Summary

Constructors
Constructor
Description
`DriverUtil()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`acquireBoolean(Properties properties, String key, boolean defaultValue)`
`static boolean`
`acquireBooleanFromSystemOrBundle(ResourceBundle bundle, String key, String systemKey, boolean defaultValue)`
`static int`
`acquireInt(Properties properties, String key, int defaultValue)`
`static int`
`acquireIntFromSystemOrBundle(ResourceBundle bundle, String key, String systemKey, int defaultValue)`
`static CopyJob`
`copy(Cluster cluster, Remote remote, TypedID source, TypedID target, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration, org.gitana.platform.services.transfer.TransferSchedule schedule)`
Generic helper method to copy the source object into the target container.
`static Map<String,String>`
`params()`
`static Map<String,String>`
`params(LookupOptions options)`
`static Map<String,String>`
`params(org.gitana.platform.support.Pagination pagination)`
`static String`
`readKey(ResourceBundle bundle, String key)`
`static Job`
`retrieveOrPollJob(Cluster cluster, String jobId, boolean synchronous)`
Retrieves a job that was just posted for execution.
`static ACL`
`toACL(Response response)`
`static com.fasterxml.jackson.databind.node.ArrayNode`
`toCopyDependencyChain(TypedID typedID)`
`static com.fasterxml.jackson.databind.node.ObjectNode`
`toDependencyObject(TypedID typedID)`
`static org.gitana.platform.support.ResultMap<Node>`
`toNodes(org.gitana.platform.support.ResultMap<BaseNode> baseNodes)`
`static List<String>`
`toStringList(Response response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DriverUtil

public DriverUtil()

## Method Details

### toACL

public static ACL toACL(Response response)

### toStringList

public static List<String> toStringList(Response response)

### params

public static Map<String,String> params()

### params

public static Map<String,String> params(org.gitana.platform.support.Pagination pagination)

### params

public static Map<String,String> params(LookupOptions options)

### toNodes

public static org.gitana.platform.support.ResultMap<Node> toNodes(org.gitana.platform.support.ResultMap<BaseNode> baseNodes)

### copy

public static CopyJob copy(Cluster cluster, Remote remote, TypedID source, TypedID target, org.gitana.platform.services.transfer.TransferImportStrategy strategy, Map<String,Object> additionalConfiguration, org.gitana.platform.services.transfer.TransferSchedule schedule)
Generic helper method to copy the source object into the target container.

Parameters:
  `source` -
  `target` -

### toCopyDependencyChain

public static com.fasterxml.jackson.databind.node.ArrayNode toCopyDependencyChain(TypedID typedID)

### toDependencyObject

public static com.fasterxml.jackson.databind.node.ObjectNode toDependencyObject(TypedID typedID)

### retrieveOrPollJob

public static Job retrieveOrPollJob(Cluster cluster, String jobId, boolean synchronous)
Retrieves a job that was just posted for execution. If synchronous, then this will poll until the job either finishes or errors out before handing back.

Parameters:
  `cluster` -
  `jobId` -
  `synchronous` -
Returns:

### readKey

public static String readKey(ResourceBundle bundle, String key)

### acquireIntFromSystemOrBundle

public static int acquireIntFromSystemOrBundle(ResourceBundle bundle, String key, String systemKey, int defaultValue)

### acquireBooleanFromSystemOrBundle

public static boolean acquireBooleanFromSystemOrBundle(ResourceBundle bundle, String key, String systemKey, boolean defaultValue)

### acquireInt

public static int acquireInt(Properties properties, String key, int defaultValue)

### acquireBoolean

public static boolean acquireBoolean(Properties properties, String key, boolean defaultValue)